<?php

namespace Drupal\preview_graphql_jwt\EventSubscriber;

use Drupal\preview_graphql\Event\CarrierCallbackOptionEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Class CarrierCallbackOptionSubscriber. Subscribe to options carrier.
 *
 * @package Drupal\preview_graphql_jwt\EventSubscriber
 */
class CarrierCallbackOptionSubscriber implements EventSubscriberInterface {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events[CarrierCallbackOptionEvent::EVENT_NAME] = 'getCarrierCallbackOption';
    return $events;
  }

  /**
   * Add JWT option to carrier settings.
   *
   * @param \Drupal\preview_graphql\Event\CarrierCallbackOptionEvent $event
   *   The carrier callnack option event.
   */
  public function getCarrierCallbackOption(CarrierCallbackOptionEvent $event) {

    $event->addOption(['jwt' => t('Use JWT token to transmit data.')]);
  }

}